<?php
$routes->group(
	'cadastro-das-categorias-do-blog', 
	[
		'namespace' => 'Modules\Cad_blog_categorias\Controllers', 
		'filter' 		=> 'CheckAccessPermission'
	], 
	function ($routes) {
		$routes->get('/', 'Cad_blog_categorias::listagem');

		$routes->match(['get', 'post'], 'novo-cadastro', 'Cad_blog_categorias::cadastrar');
		$routes->post('cadastrando', 'Cad_blog_categorias::cadastrando');

		$routes->match(['get', 'post'], 'alterando-cadastro/(:any)', 'Cad_blog_categorias::alterar/$1');
		$routes->post('atualizando-cadastro/(:any)', 'Cad_blog_categorias::alterando/$1');

		$routes->get('deletando-cadastro/(:any)', 'Cad_blog_categorias::deletar/$1');
	}
);